Package com.logicaldoc.core.searchengine

# Class TagSearch

java.lang.Object
com.logicaldoc.core.searchengine.Search
com.logicaldoc.core.searchengine.TagSearch

public class TagSearch extends Search
Search specialization for the Tag search.

Since:
  5.2
Author:
  Matteo Caruso - LogicalDOC

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`TagSearch.HitMapper`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalSearch()`

### Methods inherited from class com.logicaldoc.core.searchengine.Search

`get, getEstimatedHitsNumber, getExecTime, getHits, getOptions, isMoreHitsPresent, newOptions, search, setMoreHitsPresent, setOptions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### internalSearch

public void internalSearch() throws SearchException

Throws:
  `SearchException`